
Numbers = {}

Numbers.__index = Numbers

function Numbers.add(x,y,h,id)
  local self = {}
  
  self.x = x
  self.y = y
  self.h = h
  self.id = id
  
  self.timer = 0
  
  return setmetatable(self,Numbers)
end

function Numbers.bubbleSort(self,dt)
  self.timer = self.timer + dt
  
  if((self.id < #Numbers) and (self.timer > speed)) then
    if(self.h > Numbers[self.id+1].h) then
      
      local temp = self.h
      self.h = Numbers[self.id+1].h
      Numbers[self.id+1].h = temp
        
      self.y = 600 - self.h
      Numbers[self.id+1].y = 600 - Numbers[self.id+1].h
      
      self.timer = 0
    end
  end
  
end


function Numbers.draw(self)
  love.graphics.setColor(1,1,1)
  love.graphics.rectangle("fill",self.x,self.y,1,self.h)
end


