math.randomseed(os.time())

function love.load()
  
  require("Numbers")
  
  speed = 0.5
  
  for i = 0,799 do
    randomHeight = math.random(1,600)
    Numbers[#Numbers + 1] = Numbers.add(i,600-randomHeight,randomHeight,(#Numbers + 1))
  end
  
  love.graphics.setBackgroundColor(math.random(100)/100,math.random(100)/100,math.random(100)/100)
  
end

function love.update(dt)
  for _,v in ipairs(Numbers) do
    v:bubbleSort(dt)
  end
end

function love.draw()
  for _,v in ipairs(Numbers) do
    v:draw()
  end
  
  love.graphics.print("Delay: "..speed)
  
end


function love.keypressed(key)
  if(key == "r") then
    love.graphics.setBackgroundColor(math.random(100)/100,math.random(100)/100,math.random(100)/100)
    for _,v in ipairs(Numbers) do
      v.h = math.random(1,600)
      v.y = 600 - v.h
    end
  end
  
  if(key == "up") then
    speed = speed - 0.05
  elseif(key == "down") then
    speed = speed + 0.05
  end
end